Snapvisor Docs

Unsubscribe from a build

Stop receiving notifications about a build. Recorded as an intentional unsubscription, so Snapvisor will not auto-subscribe you to it again. Use it when the user no longer wants notifications about a build.

DELETE
/projects/{owner}/{project}/builds/{buildNumber}/subscription

Stop receiving notifications about a build. Recorded as an intentional unsubscription, so Snapvisor will not auto-subscribe you to it again. Use it when the user no longer wants notifications about a build.

Authorization

AuthorizationBearer <token>

Authenticate as a user with a personal access token.

Send it as a bearer token in the Authorization header:

Authorization: Bearer <personal-access-token>

Personal access tokens act on behalf of the user that created them and are required by endpoints that perform user actions, such as reviewing builds and posting comments.

In: header

Path Parameters

owner*string
Length1 <= length
project*string
Length1 <= length
buildNumber*string

The build number

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/projects/string/string/builds/string/subscription"
{  "subscribed": true}